=== debian/changelog ===
plasma-gamemode (0.0~git20220224.3adea2bd-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:12:40 +1100

plasma-gamemode (0.0~git20220224.3adea2bd-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:26:32 +0000

plasma-gamemode (0.0~git20220224.3adea2bd-2) unstable; urgency=medium

  * Re-upload as a source-only build so it can migrate to testing.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:12:21 +0100

plasma-gamemode (0.0~git20220224.3adea2bd-1) unstable; urgency=medium

  * Initial release. (Closes: #1006773)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Mar 2022 09:36:03 +0100
