=== debian/control ===
Source: plasma-gamemode
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82~),
               libkf5coreaddons-dev (>= 5.82~),
               libkf5dbusaddons-dev (>= 5.82~),
               libkf5declarative-dev (>= 5.82~),
               libkf5i18n-dev (>= 5.82~),
               libkf5plasma-dev (>= 5.82~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/sitter/plasma-gamemode
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-gamemode
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-gamemode.git

Package: plasma-gamemode
Architecture: any
Depends: plasma-desktop,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma extension that monitors the current status of gamemode
 GameMode optimises your system for peak performance when running a game.
 .
 This shell extension will show you whether GameMode is active and for which
 processes.
 .
 If you have the Debian gamemode package installed, you can test this
 extension by running: /usr/games/gamemode-simulate-game
 which will show a tray icon for gamemode listing that process, and
 will stop after 10 seconds.
