## plasma-gamemode 0.0~git20240315.4d60358

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,11 +6,12 @@
 project(plasma-gamepad)
 set(PROJECT_VERSION "1.0.0")
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.82")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+set(PLASMA_MIN_VERSION "6.0.0")
+set(QT_MIN_VERSION "6.0.0")
+set(KF6_MIN_VERSION "6.0.0")
+set(KDE_COMPILERSETTINGS_LEVEL "6.0.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 set(CMAKE_CXX_STANDARD 20)
@@ -25,14 +26,14 @@
 include(FeatureSummary)
 include(KDEGitCommitHooks)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Core)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Core)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     DBusAddons
     I18n
     Declarative
-    Plasma
 )
+find_package(Plasma ${PLASMA_MIN_VERSION} REQUIRED)
 
 cmake_dependent_option(WITH_SIMULATION
     "Build with simulation tech allowing easy testing via PLASMA_DISKS_SIMULATION=1"
