=== debian/changelog ===
plasma-gamemode (0.0~git20240315.4d60358-1) unstable; urgency=medium

  [ Alexis Murzeau ]
  * New upstream version which fixes compatibility with plasma 6
    (Closes: #1092033).

  [ Aurélien COUDERC ]
  * Automatically update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF6 debhelper build sequence.
  * Switch to dh-sequence-qmldeps for runtime QML dependencies.
  * Use new email in Maintainers field.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Feb 2025 01:03:37 +0100
