=== debian/control ===
Source: plasma-gamemode
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0),
               libkf6coreaddons-dev (>= 6.0.0),
               libkf6dbusaddons-dev (>= 6.0.0),
               libkf6declarative-dev (>= 6.0.0),
               libkf6i18n-dev (>= 6.0.0),
               libplasma-dev (>= 6.0.0),
               pkg-kde-tools,
               qt6-base-dev (>= 6.0.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/sitter/plasma-gamemode
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-gamemode
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-gamemode.git
Rules-Requires-Root: no

Package: plasma-gamemode
Architecture: any
Depends: plasma-desktop, ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Plasma extension that monitors the current status of gamemode
 GameMode optimises your system for peak performance when running a game.
 .
 This shell extension will show you whether GameMode is active and for which
 processes.
 .
 If you have the Debian gamemode package installed, you can test this
 extension by running: /usr/games/gamemode-simulate-game
 which will show a tray icon for gamemode listing that process, and
 will stop after 10 seconds.
