=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://invent.kde.org/sitter/@PACKAGE@ HEAD
